<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'guru',

    /*
     * Package.
     */
    'package'   => 'messenger_user',

    /*
     * Modules.
     */
    'modules'   => ['messenger_user', 'messenger_message'],


    'messenger_user'       => [
        'model'             => 'Guru\MessengerUser\Models\MessengerUser',
        'table'             => 'messenger_users',
        'presenter'         => \Guru\MessengerUser\Repositories\Presenter\MessengerUserItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'username',  'last_activity',  'last_input'],
        'translate'         => ['username',  'last_activity',  'last_input'],

        'upload-folder'     => '/uploads/messenger_user/messenger_user',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'messenger_message'       => [
        'model'             => 'Guru\MessengerUser\Models\MessengerMessage',
        'table'             => 'messenger_messages',
        'presenter'         => \Guru\MessengerUser\Repositories\Presenter\MessengerMessageItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'request',  'content',  'messenger_user_id'],
        'translate'         => ['request',  'content',  'messenger_user_id'],

        'upload-folder'     => '/uploads/messenger_user/messenger_message',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
