<?php

namespace Guru\MessengerUser\Providers;

use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;
use Illuminate\Routing\Router;
use Guru\MessengerUser\Models\MessengerUser;
use Request;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to the controller routes in your routes file.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'Guru\MessengerUser\Http\Controllers';

    /**
     * Define your route model bindings, pattern filters, etc.
     *
     * @param   \Illuminate\Routing\Router  $router
     * @return void
     */
    public function boot(Router $router)
    {
        parent::boot($router);

        if (Request::is('*/messenger_user/messenger_user/*')) {
            $router->bind('messenger_user', function ($id) {
                $messenger_user = $this->app->make('\Guru\MessengerUser\Interfaces\MessengerUserRepositoryInterface');
                return $messenger_user->findorNew($id);
            });
        }if (Request::is('*/messenger_user/messenger_message/*')) {
            $router->bind('messenger_message', function ($id) {
                $messenger_message = $this->app->make('\Guru\MessengerUser\Interfaces\MessengerMessageRepositoryInterface');
                return $messenger_message->findorNew($id);
            });
        }

    }

    /**
     * Define the routes for the application.
     *
     * @param \Illuminate\Routing\Router $router
     *
     * @return void
     */
    public function map(Router $router)
    {
        $router->group(['namespace' => $this->namespace], function ($router) {
            require __DIR__ . '/../Http/routes.php';
        });
    }
}
